### Signal

# WebKit2WebExtension WebPage::send-request

#### Declaration

    gboolean
    send_request (
      WebKitWebPage* self,
      WebKitURIRequest* request,
      WebKitURIResponse* redirected_response,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when `request` is about to be sent to the server. This signal can be used to modify the `WebKitURIRequest` that will be sent to the server. You can also cancel the resource load operation by connecting to this signal and returning `TRUE`.

In case of a server redirection this signal is emitted again with the `request` argument containing the new request to be sent to the server due to the redirection and the `redirected_response` parameter containing the response received by the server for the initial request.

Modifications to the `WebKitURIRequest` and its associated `SoupMessageHeaders` will be taken into account when the request is sent over the network.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`request` | `WebKitURIRequest`
| A `WebKitURIRequest`.
| The data is owned by the caller of the function.
`redirected_response` | `WebKitURIResponse`
| A `WebKitURIResponse`, or `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop other handlers from being invoked for the event. `FALSE` to continue emission of the event.